Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/gtest new aport

From: k0r10n <k0r10n.dev_at_gmail.com>
Date: Fri, 26 Sep 2014 07:52:21 +0400

---
 testing/gtest/APKBUILD            | 55 +++++++++++++++++++++++++++++++++++++++
 testing/gtest/src/gtest-1.7.0.zip |  1 +
 2 files changed, 56 insertions(+)
 create mode 100644 testing/gtest/APKBUILD
 create mode 120000 testing/gtest/src/gtest-1.7.0.zip
diff --git a/testing/gtest/APKBUILD b/testing/gtest/APKBUILD
new file mode 100644
index 0000000..3957b32
--- /dev/null
+++ b/testing/gtest/APKBUILD
_at_@ -0,0 +1,55 @@
+# Contributor:
+# Maintainer:
+pkgname=gtest
+pkgver=1.7.0
+pkgrel=0
+pkgdesc="Google Test - C++ testing utility based on the xUnit framework (like JUnit)"
+url="http://code.google.com/p/googletest"
+arch="all"
+license="BSD"
+depends="libgcc bash"
+depends_dev="python cmake"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://googletest.googlecode.com/files/${pkgname}-${pkgver}.zip"
+
+_builddir="$srcdir"/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	rm -rf build
+	mkdir build
+	cd build
+
+	cmake -DBUILD_SHARED_LIBS=ON \
+	      -DCMAKE_SKIP_RPATH=ON ../ || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	for dir in {"$pkgdir"/usr/lib,"$pkgdir"/usr/include/gtest/internal,"$pkgdir"/usr/share/licenses/gtest,"$pkgdir"/usr/src/gtest/cmake,"$pkgdir"/usr/src/gtest/src};do
+		mkdir -pm 0755 "$dir"
+	done
+	install -m 0644 build/libgtest*.so "$pkgdir"/usr/lib || return 1
+	install -m 0644 include/gtest/*.h "$pkgdir"/usr/include/gtest || return 1
+	install -m 0644 include/gtest/internal/*.h "$pkgdir"/usr/include/gtest/internal/ || return 1
+	install -m 0644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/ || return 1
+	install -m 0644 "$_builddir/fused-src/gtest"/* "$pkgdir"/usr/src/gtest/src/ || return 1
+	install -m 0644 "$_builddir/CMakeLists.txt" "$pkgdir"/usr/src/gtest/ || return 1
+	install -m 0644 "$_builddir/cmake"/* "$pkgdir"/usr/src/gtest/cmake/ || return 1
+}
+
+md5sums="2d6ec8ccdf5c46b05ba54a9fd1d130d7  gtest-1.7.0.zip"
+sha256sums="247ca18dd83f53deb1328be17e4b1be31514cedfc1e3424f672bf11fd7e0d60d  gtest-1.7.0.zip"
+sha512sums="8859369f2dd32cbc2ac01aba029aa3ff20a321f40658b9643aff442d34c33468221866b801b28c66a28af47dbcd362d26941fc98db92b6efb7e41ea5b7be1a07  gtest-1.7.0.zip"
diff --git a/testing/gtest/src/gtest-1.7.0.zip b/testing/gtest/src/gtest-1.7.0.zip
new file mode 120000
index 0000000..bd1db9f
--- /dev/null
+++ b/testing/gtest/src/gtest-1.7.0.zip
_at_@ -0,0 +1 @@
+/var/cache/distfiles/gtest-1.7.0.zip
\ No newline at end of file
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Sep 26 2014 - 07:52:21 GMT